; envedit.nsi - based on example2.nsi
; this instance copyright 2004 by Charl P. Botha http://cpbotha.net/

;--------------------------------

; The name of the installer
Name "envedit"

; The file to write
OutFile "enveditsetup.exe"

; The default installation directory
InstallDir $PROGRAMFILES\envedit

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM SOFTWARE\envedit "Install_Dir"

; The text to prompt the user to enter a directory
ComponentText "Select optional components."

; The text to prompt the user to enter a directory
DirText "Choose the directory where you'd like to install envedit:"

;--------------------------------

; Pages

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "envedit (required)"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; take all these files (recursively yay)
  File /r "distenvedit\*.*"
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\envedit "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\envedit" "DisplayName" "envedit (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\envedit" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\envedit"
  CreateShortCut "$SMPROGRAMS\envedit\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\envedit\envedit.lnk" "$INSTDIR\envedit.exe" "" "$INSTDIR\envedit.exe" 0
  
SectionEnd

Section "Desktop Shortcut"
   CreateShortCut "$DESKTOP\envedit.lnk" "$INSTDIR\envedit.exe"
SectionEnd

;--------------------------------

; Uninstaller

UninstallText "This will uninstall envedit. Hit next to continue."

; Uninstall section

Section "Uninstall"
  
  ; remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\envedit"
  DeleteRegKey HKLM SOFTWARE\envedit

  ; remove files and uninstaller
  Delete $INSTDIR\*.*

  ; remove shortcuts, if any
  Delete "$SMPROGRAMS\envedit\*.*"

  ; remove desktop shortcut
  Delete "$DESKTOP\envedit.lnk"

  ; remove directories used
  RMDir "$SMPROGRAMS\envedit"

  ; actually this will do a recursive delete on everything
  RMDir /R "$INSTDIR"

SectionEnd



